unit ObjWordMagicAbout;

interface

uses
  SysUtils, Classes, Controls, Forms, StdCtrls, ExtCtrls, WinProcs, Buttons, ShellAPI;

type
  TfrmAboutWordMagic = class(TForm)
    lbVersion       : TLabel;
    lbCopyright     : TLabel;
    lbAuthor        : TLabel;
    lbRights        : TLabel;
    lbhttp          : TLabel;
    lbemail         : TLabel;
    imLogo          : TImage;
    Bevel1          : TBevel;
    lbCopyOf        : TLabel;
    lbUserName      : TLabel;
    lbCompName      : TLabel;
    Bevel2          : TBevel;    
    lbPhysMemAvail  : TLabel;
    lbPhysMemory    : TLabel;
    lbMemLoad       : TLabel;
    lbValueLoad     : TLabel;
    lbCPUSpeed      : TLabel;
    lbCPUMHz        : TLabel;
    lbCPU           : TLabel;
    lbPlatform      : TLabel;
    btAboutOK       : TButton;
    procedure   FormActivate  (Sender : TObject);
    procedure   lbhttpClick   (Sender : TObject);
  public
    constructor Create(AOwner : TComponent);  override;
  end;

implementation

uses Registry;

{$R *.DFM}

var
  CurVerKey : PChar;
  OVI       : TOSVersionInfo;

{--------------------------------------------------------------------------------------------------}

function WinVerString : shortstring;
begin
  case OVI.dwPlatformID OF
    VER_PLATFORM_WIN32_WINDOWS  : Result  := 'Windows 95';
    VER_PLATFORM_WIN32_NT       : Result  := 'Windows NT';
  else
    Result  := 'Unknown';
  end; {case}
  Result  := Format('%s version %d.%.2d', [Result, OVI.dwMajorVersion, OVI.dwMinorVersion]);
end; {WinVerString}

{--------------------------------------------------------------------------------------------------}

constructor TfrmAboutWordMagic.Create(AOwner : TComponent);
var
  SI  : TSystemInfo;
begin
  inherited;
  OVI.dwOSVersionInfoSize := SizeOf(OVI);
  GetVersionEx(OVI);
  case OVI.dwPlatformID of
    VER_PLATFORM_WIN32_WINDOWS  : CurVerKey := '\SOFTWARE\Microsoft\Windows\CurrentVersion';
    VER_PLATFORM_WIN32_NT       : CurVerKey := '\SOFTWARE\Microsoft\Windows NT\CurrentVersion';
  else
    CurVerKey:= nil;
  end; {case}

  lbPlatform.Caption:= WinVerString;

  case OVI.dwPlatformID of
    VER_PLATFORM_WIN32_WINDOWS  : lbCopyOf.Caption  := 'This copy of Windows 95 is licensed to :';
    VER_PLATFORM_WIN32_NT       : lbCopyOf.Caption  := 'This copy of Windows NT is licensed to :';
  end; {case}

  GetSystemInfo(SI);

  case SI.dwProcessorType of
    386 : lbCPU.Caption := '80386 CPU';
    486 : lbCPU.Caption := '80486 CPU';
    586 : lbCPU.Caption := 'Pentium CPU';
  else
    lbCPU.Caption := Format('Unknown (%d)', [SI.dwProcessorType]);
  end; {case}

  with TRegistry.Create do
    try
      RootKey := HKEY_LOCAL_MACHINE;
      if OpenKey(CurVerKey, false) then begin
        lbUserName.Caption  := ReadString('RegisteredOwner');
        lbCompName.Caption  := ReadString('RegisteredOrganization');
      end; {if}
    finally
      Free;
    end; {try}
end; {constructor}

{--------------------------------------------------------------------------------------------------}

procedure TfrmAboutWordMagic.FormActivate(Sender : TObject);
var
  TMS : TMemoryStatus;
begin
  TMS.dwLength  := SizeOf(TMS);
  GlobalMemoryStatus(TMS);
  lbPhysMemory.Caption  := FormatFloat('#," Kb"', TMS.dwTotalPhys div 1024);
  lbValueLoad.Caption   := Format('%d%% Load', [TMS.dwMemoryLoad]);
end; {FormActivate}

{--------------------------------------------------------------------------------------------------}

procedure TfrmAboutWordMagic.lbhttpClick(Sender : TObject);
begin
 ShellExecute(Application.Handle, 'Open', 'http://wkweb4.cableinet.co.uk/softspot.com', nil, nil, SW_NORMAL);
end; {lbhttpClick}

{--------------------------------------------------------------------------------------------------}

{ObjWordMagicAbout}
end.

